# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module DataCatalog
      module V1
        # Physical location of an entry.
        # @!attribute [rw] service
        #   @return [::Google::Cloud::DataCatalog::V1::DataSource::Service]
        #     Service that physically stores the data.
        # @!attribute [rw] resource
        #   @return [::String]
        #     Full name of a resource as defined by the service. For example:
        #
        #     `//bigquery.googleapis.com/projects/{PROJECT_ID}/locations/{LOCATION}/datasets/{DATASET_ID}/tables/{TABLE_ID}`
        class DataSource
          include ::Google::Protobuf::MessageExts
          extend ::Google::Protobuf::MessageExts::ClassMethods

          # Name of a service that stores the data.
          module Service
            # Default unknown service.
            SERVICE_UNSPECIFIED = 0

            # Google Cloud Storage service.
            CLOUD_STORAGE = 1

            # BigQuery service.
            BIGQUERY = 2
          end
        end
      end
    end
  end
end
