# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module DataCatalog
      module V1
        # Timestamps associated with this resource in a particular system.
        # @!attribute [rw] create_time
        #   @return [::Google::Protobuf::Timestamp]
        #     Creation timestamp of the resource within the given system.
        # @!attribute [rw] update_time
        #   @return [::Google::Protobuf::Timestamp]
        #     Timestamp of the last modification of the resource or its metadata within
        #     a given system.
        #
        #     Note: Depending on the source system, not every modification updates this
        #     timestamp.
        #     For example, BigQuery timestamps every metadata modification but not data
        #     or permission changes.
        # @!attribute [r] expire_time
        #   @return [::Google::Protobuf::Timestamp]
        #     Output only. Expiration timestamp of the resource within the given system.
        #
        #     Currently only applicable to BigQuery resources.
        class SystemTimestamps
          include ::Google::Protobuf::MessageExts
          extend ::Google::Protobuf::MessageExts::ClassMethods
        end
      end
    end
  end
end
